<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:gravity="center"
    android:id="@+id/calculator_linear_layout"
    tools:context=".CalculatorActivity">

    <LinearLayout
        android:id="@+id/history_linear_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingStart="30dp"
        android:paddingEnd="30dp"
        android:layout_marginBottom="20dp"
        android:orientation="vertical"
        android:gravity="end"
        android:visibility="gone"
        >

        <Button
            android:id="@+id/clear_history_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/btn_clear_history_calculator"
            android:backgroundTint="@color/darkest_indigo"
            />

        <TextView
            android:id="@+id/history_text_view"
            android:layout_width="wrap_content"
            android:layout_height="120dp"
            android:textSize="20sp"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:textColor="@color/gray"
            android:background="@color/white"
            android:text="@string/calculator_history_empty"
            android:textAlignment="gravity"
            android:gravity="bottom"
            android:scrollbars="vertical"
            android:fadeScrollbars="false"
            />
    </LinearLayout>

    <TextView
        android:id="@+id/result_text_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textSize="48sp"
        android:paddingStart="30dp"
        android:paddingEnd="30dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:textColor="@color/black"
        android:background="@color/white"
        android:text="@string/calculator_result"
        android:gravity="end"
        android:layout_marginBottom="20dp"
        />

    <TableLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="30dp"
        >

        <TableRow>
            <Button
                android:id="@+id/button_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_1_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_2_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_3_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/division_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_division_calculator"
                tools:ignore="ButtonStyle"
                />

        </TableRow>

        <TableRow>
            <Button
                android:id="@+id/button_4"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_4_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_5"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_5_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_6"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_6_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/times_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_times_calculator"
                tools:ignore="ButtonStyle"
                />

        </TableRow>

        <TableRow>
            <Button
                android:id="@+id/button_7"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_7_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_8"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_8_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_9"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_9_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/minus_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_minus_calculator"
                tools:ignore="ButtonStyle" />

        </TableRow>

        <TableRow>
            <Button
                android:id="@+id/delete_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_delete_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/button_0"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_0_calculator"
                tools:ignore="ButtonStyle,DuplicateSpeakableTextCheck" />

            <Button
                android:id="@+id/calculate_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_calculate_calculator"
                tools:ignore="ButtonStyle"
                />

            <Button
                android:id="@+id/plus_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/btn_plus_calculator"
                tools:ignore="ButtonStyle"
                />
        </TableRow>

    </TableLayout>

    <Button
        android:id="@+id/show_history_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/btn_show_history_calculator"
        />

</LinearLayout>